@use 'grid';
@use 'ratio';
@use '../functions/calculations';

$border-radius: 10px;

$peek-img-border-radius: 3px;

// a card has a width of 3 columns and 2 gaps, it should have the same height to be quadratic
$card-column-count: 3;
$card-width: calculations.calculateWidth(
    grid.$grid-desktop-column-width,
    grid.$grid-desktop-column-gap,
    $card-column-count,
    $card-column-count - 1
);

$card-size: calculations.calculateRatio(
    $card-width,
    grid.$grid-desktop-ten-column-container-width,
    ratio.$percent-100
);

// the width of 3 organization cards in a row
// a card has a width of 3 columns and 2 gaps
$card-row-size: calc(
  #{calculations.calculateWidth(
    grid.$grid-desktop-column-width,
    grid.$grid-desktop-column-gap,
    $card-column-count,
    $card-column-count - 1
  )}
  * 3
);

// the size of a gap between organization cards
$card-gap: calc(
  (#{grid.$grid-desktop-ten-column-container-width} - #{$card-row-size}) / 2 / #{grid.$grid-desktop-ten-column-container-width} * #{ratio.$percent-100}
);

$edit-organization-card-gap: 10px;
$edit-organization-card-padding: 20px;
$edit-organization-button-min-width: 117px;
